Skip to main content
POST
/
open
/
v1
/
order
/
create
cURL
curl --request POST \
  --url http://sandbox.mintlify.com/open/v1/order/create \
  --header 'Content-Type: application/json' \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
  --data '
{
  "merchantSubscriptionOrderNo": "test01",
  "planNo": "2033844612305932300"
}
'
{
  "code": "0",
  "message": "",
  "data": {
    "merchantSubscriptionOrderNo": "test01",
    "subscriptionOrderNo": "82971423789155022",
    "subscriptionLink": "https://119.28.35.132:13555/zh/web3-subscribe?subscriptionOrderNo=82971423789155022"
  },
  "success": true
}

Headers

X-GatePay-Certificate-ClientId
string
required

Merchant client ID, obtained from GatePay platform application

Example:

"4186d0c6-6a35-55a9-8dc6-5312769dbff8"

X-GatePay-Signature
string
required

HMAC-SHA256 signature, used to verify request legitimacy

Example:

"672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77"

X-GatePay-Timestamp
string
required

Timestamp (milliseconds), time difference with server cannot exceed 5 minutes

Example:

"1672905655498"

X-GatePay-Nonce
string
required

Random number, used to prevent replay attacks

Example:

"9578"

Body

application/json

Create subscription order request parameters

merchantSubscriptionOrderNo
string
required

Merchant subscription order number, globally unique identifier for merchant

Example:

"MSUB_20240312_001"

merchantPlanNo
string
required

Merchant subscription plan number (choose one with planNo)

Example:

"MPLAN_20240101_001"

planNo
string

Platform subscription plan number (choose one with merchantPlanNo)

Example:

"PLAN_ABC123"

callbackUrl
string

Page URL to redirect after successful subscription, length not exceeding 128 bytes

Maximum string length: 128
Example:

"https://www.example.com/subscription/success"

Response

200 - application/json

Create subscription order successful

code
string

Response code, 0 indicates success

Example:

"0"

message
string

Response description, empty when successful

Example:

""

success
boolean

Whether the request was successful

Example:

true

data
object

Response data